PSIMAGE(l)

NAME
psimage - To plot SUN rasterfiles on maps

SYNOPSIS
psimage rasterfile [ -Wxlength[/ylength] | -Edpi ] [ -Cxpos/ypos ] [ -Fpen ] [ -G[f|b]r/g/b ] [ -I ] [ -K ] [ -M ] [ -Nnxrep/nyrep] [ -O ] [ -P ] [ -U[dx/dy/][label] ] [ -V ] [ -Xx-shift ] [ -Yy-shift ] [ -ccopies ]

DESCRIPTION
psimage reads a 1, 8, 24, or 32-bit Sun rasterfile and plots it on a map. Image can be scaled arbitrarily, and 1-bit images can be (1) inverted, i.e., black pixels (on) becomes white (off) and vice versa, or (2) colorized, by assigning different foreground and background colors, and (3) made transparent where one of back- or foreground is painted only. As an option, the user may choose to convert colorimages to grayscale using TV's YIQ-transformation.' The user may also choose to replicate the image which, when preceeded by appropriate clip paths, may allow larger custom-designed fill patterns to be implemented (the -Gp mechanism offered in most GMT programs is limited to rasters smaller than 146 by 146).

rasterfile
    This must be a Sun rasterfile. Depth can be 1, 8, 24, or 32-bit. Old-style, Standard, Run-length-encoded, and RGB Sun rasterfiles are supported. Other raster formats can be converted to Sun format via a variety of public-domain software (e.g., imconv, xv).

-E  Sets the dpi of the image in dots pr inch, or use -W.

-W  Sets the size of the image. If not given ylength is set to xlength * (ny/nx). Alternatively, use -E.

OPTIONS
No space between the option flag and the associated arguments.

-C  Sets position of lower left corner of image [0/0].

-F  Draws a rectangular frame around the image with the given pen [no frame].

-Gb Sets background color (replace white pixel) for 1-bit image templates. Use - for transparency (and set -Gf to the desired color).

-Gf Sets foreground color (replace black pixel) for 1-bit image templates. Use - for transparency (and set -Gb to the desired color).

-I  Invert image before plotting (1-bit images only). This is what is done when you use -GP in other GMT programs.

-K  More PostScript code will be appended later [Default terminates the plot system].

-M  Convert color image to monochrome grayshades using the (television) YIQ-transformation.

-N  Replicate the image nxrep in x and nyrep in y [Default is 1/1].

-bo Selects binary output. Append s for single precision [Default is double].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-X -Y
    Shift origin of plot by (x-shift,y-shift). Prepend a for absolute coordinates; the default (r) will reset plot origin.

-c  Specifies the number of plot copies. [Default is 1]

EXAMPLES
To plot the image contained in the 8-bit rasterfile scanned_face.ras, scaling it to 8 by 10 cm, try

psimage scanned_face.ras -W8c/10c > image.ps

To replicate the image template 1_bit.ras over a 5 by 5 inch area, colorize it, and setting each piece to be 1 by 1 cm, try

psimage 1_bit.ras -Gb200/150/100 -Gf100/50/30 -N5i/5i -W1c > image.ps

SEE ALSO
gmt(1gmt)